module.exports = {
  content: ["./src/**/*"],
  theme: {
    extend: {
      colors: {
        primary: "#A3FFF1",
        secondary: "#FF7F50",
      },
      fontFamily: {
        sans: ["Ubuntu", "sans-serif"],
        serif: ["Ubuntu", "sans-serif"],
        mono: ["Ubuntu Mono", "monospace"],
      },
    },
  },
  daisyui: {
    themes: [
      {
        swablab: {
          primary: "#A3FFF1",
          secondary: "#FF7F50",
          neutral: "#404040",
          "base-100": "#171717",
          "base-200": "#262626",
          "base-300": "#404040",

          "--glass-reflex-opacity": "0.001",
        },
      },
    ],
    logs: false,
  },
  plugins: [
    require("@tailwindcss/typography"),
    require("@iconify/tailwind").addDynamicIconSelectors(),
    require("daisyui"),
  ],
}
